<!-- Header/Home -->
{% extends "index.html" %}
{% block content %}
  <header class="w3-container w3-padding-32 w3-center w3-black" id="home">
    <h1 class="w3-jumbo"><span class="w3-hide-small">Lung</span> Cancer.</h1>
    <p>Machine Learning</p>
    <img src="/w3images/man_smoke.jpg" alt="boy" class="w3-image" width="992" height="1108">
  </header>
  <div class="container mt-5"> <!-- Sử dụng container để giữa form -->
   <form method="POST" action="/home" style="display: flex; flex-direction: column; align-items: center;">

        <label for="age_years" style="width: 150px; text-align: right; margin-right: 10px;">Age (years):</label>
        <input type="number" id="age_years" name="age_years" required style="width: 200px; margin-bottom: 10px;">

        <label for="sex" style="width: 150px; text-align: right; margin-right: 10px;">Gender:</label>
        <select id="sex" name="sex_0male_1female" required style="width: 200px; margin-bottom: 10px;">
            <option value="0">Male</option>
            <option value="1">Female</option>
        </select>

        <label for="episode_number" style="width: 150px; text-align: right; margin-right: 10px;">Number of prior Sepsis episodes:</label>
        <input type="number" id="episode_number" name="episode_number" required style="width: 200px; margin-bottom: 10px;">

        <button type="submit" class="btn btn-primary" style="width: 120px;">Submit</button>
    </form>
       <h1>Chọn ảnh để tải lên</h1>
    <form action="{{ url_for('upload') }}" method="post" enctype="multipart/form-data">
        <input type="file" name="photo" accept="image/*">
        <input type="submit" value="Tải lên">
    </form>
    {% if result %}
    <div class="text-center mt-3">
        <label for="age_years1">Age (years):</label>
        <p id="age_years1">{{ result['age_years'] }}</p>

        <label for="sex1">Gender:</label>
        <p id="sex1">{{ result['sex'] }}</p>

        <label for="episode_number1">Number of prior Sepsis episodes:</label>
        <p id="episode_number1">{{ result['episode_number'] }}</p>

        <p>result: {{ result['result_data'] }}</p>
    </div>
{% endif %}

  </div>
{% endblock %}
